/*
 Theme Name:   GMB Bricks Child
 Theme URI:    https://gmb.digital/
 Description:  Used to extend the Bricks theme.
 Author:       The Team @ Grow My Business
 Author URI:   https://gmb.digital/about
 Template:     bricks
 Version:      1.1
 Text Domain:  gmb
*/


/*
 * Prevent Horizontal Overflow
 */

html {
	height: 100%;
}

body {
	min-height: 100%;
	overflow-x: hidden;
}

section.brxe-section {
    overflow-x: clip;
}

/*
 * Prevent content of elements with ratio class from stretching (e.g. images)
 */
[class*="ratio-"] {
    object-fit: cover;
    object-position: center;
}

/*
 * Prevent buttons inner text and the nav menu items from wrapping
 */
.brxe-button,
.nav-menu {
    white-space: nowrap;
}

/*
 * Set 'scroll to' offset for elements with ids (for in-page linking)
 */
[id] {
    scroll-margin-top: calc(var(--spacing-lrg) * 1.5);
}

/*
 * Set content within .has-bg-image elements to z-index 2
 */
.has-bg-image > *:not(.bg-image) {
    z-index: 2;
}

/*
 * List Styles
 */
.brxe-text ul {
    padding-left: 2em;
}

.brxe-text ul li:not(:last-child) {
    margin-bottom: 0.3em;
}

/*
 * Enable overflow for shadows on table of contents
 */
.brxe-post-toc {
  overflow: visible;
}

/*
 * Display Menu Titles
 */
.navigation.dark-header .brxe-nav-menu a::before,
.navigation .brxe-nav-menu .bricks-mobile-menu-wrapper a::before {
    color: var(--color-primary);
}

.brxe-nav-menu:not(.vertical-menu) a::before {
    content: attr(title);
}

.brxe-nav-menu:not(.vertical-menu) a[title] {
    display: flex;
    flex-direction: column;
    line-height: 1.2;
}

/* Arlo Search */
.navigation form.arlo-search {
    margin: 0;
}

.arlo-search,
form.newsletter-signup .gform_fields {
    gap: 0 !important;
    border-radius: 100rem;
    overflow: hidden;
	border: 0.1rem solid var(--color-light-grey) !important;
	position: relative;
	padding: 0.1rem;
}

.gform_wrapper.gravity-theme form.newsletter-signup .gform_fields {
	display: flex !important;
    flex-direction: row;
}

.gform_wrapper.gravity-theme form.newsletter-signup .gform_fields > * {
	flex: 0 1 auto;
	width: auto;
}

.gform_wrapper.gravity-theme form.newsletter-signup .gform_fields > *:first-child {
	flex: 1;
}

.navigation:not(.dark-header) .nav-actions-dsktp .arlo-search,
.arlo-search.light,
.gradient-bg .arlo-search,
form.newsletter-signup .gform_fields {
	border: 0.2rem solid transparent !important;
    background-color: rgba(255, 255, 255, 0.1);
}

.arlo-search::before {
	content: '';
	position: absolute;
	top: 50%;
	left: 2rem;
	transform: translateY(-50%);
	width: 1.6rem;
	height: 1.6rem;
	background: url('/wp-content/uploads/2025/03/arlo-search-icon-green.svg') no-repeat center center;
	z-index: 1;
}

.navigation:not(.dark-header) .nav-actions-dsktp .arlo-search::before,
.arlo-search.light::before,
.gradient-bg .arlo-search::before {
	background: url('/wp-content/uploads/2025/03/arlo-search-icon.svg') no-repeat center center;
}

.arlo-search::after,
form.newsletter-signup .gform_fields::after {
	content: '';
	position: absolute;
	top: 50%;
	right: 0.2rem;
	transform: translateY(-50%);
	width: 5rem;
	height: 5rem;
	background-position: 0 0;
    background-repeat: repeat-x;
    background-size: 100% 100%;
	background-image: url('/wp-content/uploads/2025/03/Frame-1.svg');
	z-index: 1;
	transition: background-position 300ms ease;
	pointer-events: none;
}

.arlo-search:hover::after,
form.newsletter-signup .gform_fields:hover::after {
	background-position: 5rem 0;
}

.navigation:not(.dark-header) .nav-actions-dsktp .arlo-search::after,
.arlo-search.light::after,
.gradient-bg .arlo-search::after,
form.newsletter-signup .gform_fields::after {
	background-image: url('/wp-content/uploads/2025/03/green.svg');
}

.arlo-search input[type="text"],
form.newsletter-signup .gform_fields input[type="email"] {
    border: none;
    padding: 0.5rem 2rem 0.5rem 5rem;
    height: auto;
	color: var(--color-dark);
	background: transparent;
}

form.newsletter-signup .gform_fields input[type="email"] {
    padding: 0.5rem 2rem 0.5rem 2rem !important;
}

form.newsletter-signup .gform_fields .ginput_container, 
form.newsletter-signup .gform_fields .ginput_container input[type="email"] {
	height: 100%;
}

.arlo-search input[type="text"]::placeholder {
    color: var(--color-grey);
}

.navigation:not(.dark-header) .nav-actions-dsktp .arlo-search input[type="text"],
.navigation:not(.dark-header) .nav-actions-dsktp .arlo-search input[type="text"]::placeholder,
.arlo-search.light input[type="text"],
.arlo-search.light input[type="text"]::placeholder,
.gradient-bg .arlo-search input[type="text"],
.gradient-bg .arlo-search input[type="text"]::placeholder,
form.newsletter-signup .gform_fields input[type="email"]::placeholder,
body form.newsletter-signup .gform_fields input[type="email"]:focus,
form.newsletter-signup .gform_fields input[type="email"] {
	color: var(--color-light) !important;
}

.arlo-search input[type="submit"],
form.newsletter-signup .gform_fields input[type="submit"] {
    background: var(--color-primary);
    color: var(--color-light);
    border: none;
    border-radius: 100rem;
    font-size: 0 !important;
    padding: 2.5rem !important;
    line-height: 0;
}

.navigation:not(.dark-header) .nav-actions-dsktp .arlo-search input[type="submit"],
.arlo-search.light input[type="submit"],
.gradient-bg .arlo-search input[type="submit"],
form.newsletter-signup .gform_fields input[type="submit"] {
    background: var(--color-light);
    color: var(--color-primary);
}

.navigation .bricks-mobile-menu-wrapper .arlo-search {
    margin: 1rem;
}

.bricks-mobile-menu-wrapper {
    border-radius: 0 0 3.4rem 3.4rem;
    overflow: hidden;
}

.brxe-nav-menu .bricks-mobile-menu-overlay {
    top: var(--header-height);
}

body form.newsletter-signup .gform-footer {
	display: none;
}

body form.newsletter-signup .gfield {
	position: relative;
}

body form.newsletter-signup .gform-loader {
	position: absolute !important;
	width: 100% !important;
	height: 100% !important;
	right: 0;
	top: 0;
	background: var(--color-light);
}

.gform_wrapper.gravity-theme form.newsletter-signup .gfield_error [aria-invalid=true] {
	border: none;
}

/*
 * Set list item markers to primary colour
 */
section:not(.gradient-bg) li::marker {
    color: var(--color-primary);
}

/*
 * Gravity Forms Styles
 */

.gform_wrapper form {
    --btn-bg-color: var(--color-primary);
    --btn-text-color: var(--color-dark);
    --text-color: var(--color-dark);
    --border-color: var(--color-light-grey);
    --field-bg-color: transparent;
    --border-radius: 0.8rem;
    --border-width: 0.1rem;
}

.gform_wrapper  form.light,
.light-form .gform_wrapper form {
    --btn-bg-color: var(--color-primary);
    --btn-text-color: var(--color-dark);
    --text-color: var(--color-light);
    --border-color: var(--color-grey);
    --field-bg-color: transparent;
}

.gform_wrapper input,
.gform_wrapper textarea,
.gform_wrapper select {
    background: var(--field-bg-color);
    color: #fff;
    border: var(--border-width) solid var(--border-color);
    padding: 1.2rem 1.6rem !important;
    border-radius: var(--border-radius);
    color: var(--text-color);
    line-height: 2rem;
	font-size: var(--font-size-base) !important;
}

.gform_wrapper.gravity-theme label.gfield_label {
    font-size: 0.9em;
    font-weight: 500;
    color: var(--color-dark);
    margin-bottom: 0.4rem;
}

.gform_wrapper select {
    appearance: none;
    -webkit-appearance: none;
    background-size: 1rem auto;
    background-position: right 1rem top 50%;
    background-repeat: no-repeat;
    background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iOCIgdmlld0JveD0iMCAwIDEyIDgiIGZpbGw9Im5vbmUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMF8xOTVfMTczOCkiPgo8cGF0aCBkPSJNMSAxLjVMNiA2LjVMMTEgMS41IiBzdHJva2U9IiMyMTIxMjEiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+CjwvZz4KPGRlZnM+CjxjbGlwUGF0aCBpZD0iY2xpcDBfMTk1XzE3MzgiPgo8cmVjdCB3aWR0aD0iMTIiIGhlaWdodD0iOCIgZmlsbD0id2hpdGUiLz4KPC9jbGlwUGF0aD4KPC9kZWZzPgo8L3N2Zz4K);
}

.gform_wrapper  form.light select,
.light-form .gform_wrapper form select {
    background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iOCIgdmlld0JveD0iMCAwIDEyIDgiIGZpbGw9Im5vbmUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMF8xOTVfMTczOCkiPgo8cGF0aCBkPSJNMSAxLjVMNiA2LjVMMTEgMS41IiBzdHJva2U9IiNmZmYiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+CjwvZz4KPGRlZnM+CjxjbGlwUGF0aCBpZD0iY2xpcDBfMTk1XzE3MzgiPgo8cmVjdCB3aWR0aD0iMTIiIGhlaWdodD0iOCIgZmlsbD0id2hpdGUiLz4KPC9jbGlwUGF0aD4KPC9kZWZzPgo8L3N2Zz4);
}

.ginput_complex span {
    display: block !important;
}

.gform_wrapper input::placeholder,
.gform_wrapper textarea::placeholder,
.gform_wrapper select:not(:focus) {
    color: color-mix(in srgb, var(--text-color), transparent 40%);
}

body .gform_wrapper input:not([type="submit"]):not([type="button"]):focus,
body .gform_wrapper textarea:focus {
    border-color: var(--text-color) !important;
	color: var(--text-color) !important;
    outline: none;
}

.gform_wrapper input[type="submit"] {
	width: 100%;
}

.gform_wrapper input[type="submit"],
.gform_wrapper input[type="button"] {
    background: var(--btn-bg-color);
    color: var(--btn-text-color);
    border: none;
    
    font-weight: 600;
    text-align: center;
    padding: 2rem 3rem !important;
    
    cursor: pointer;
    transition: filter 200ms ease;
}

.gform_wrapper input[type="submit"]:hover,
.gform_wrapper input[type="button"]:hover {
    background: color-mix(in srgb, var(--btn-bg-color), var(--color-dark) 20%);
}

.gform_required_legend,
.gform_wrapper .gform_heading {
	display: none;
}

.gform_wrapper .gform_footer {
    padding-bottom: 0 !important;
}

.gform_wrapper .gform_footer input {
    margin-bottom: 0 !important;
}

.gform_wrapper .gfield--type-html {
    font-size: 0.85em;
}

.gform_ajax_spinner {
    margin-left: 2rem;
}

.gfield_validation_message {
    display: none;
}

select.light option,
.light-form select option {
    background-color: var(--btn-bg-color);
    color: var(--btn-text-color);
}

/*
 * Text Replacement Styles
 */

[text-replacement] .inner-text {
    position: relative;
    overflow: hidden;
}

[text-replacement] .inner-text div:not(.original) {
    transform: translateY(-100%);
    transition: transform .3s ease;
}

[text-replacement] .inner-text div.original {
    transform: translateY(-50%);
    transition: transform .3s ease;
}

[text-replacement]:hover .inner-text div:not(.original) {
    transform: translateY(50%);
}

[text-replacement]:hover .inner-text div:not(.original) {
    bottom: 0;
}

[text-replacement]:hover .inner-text div.original {
    transform: translateY(100%);
}


/* Arlo GMB CSS STARTS */
.event-search {
  display: flex;
  gap: 60px;
  flex-wrap: wrap;
	justify-content: space-between;
}

.event-search .arlo-cf {
  display: flex;
  flex-direction: column;
  width: calc(33.33% - 60px);
  gap: 16px;
}

.arlo-event-image img {
  height: 300px;
  width: 100%;
  object-fit:cover;
	border-radius: 3px;
	margin-bottom: 24px;
}

.arlo-cf > a {
  text-decoration: none;
	color: #070d0a;
}

.arlo-cf h3 {
	font-size: 28px;
	font-weight: 600;
	margin-bottom: 16px;
}

.event-header-content {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
/* 	justify-content: space-between; */
	gap: 16px;
	margin-bottom: 24px;
	font-weight: 400;
}

.event-price .arlo-from-text {
	display: none;
}

.event-duration, .event-price, .event-category {
	display: flex;
	flex-direction: row;
	gap: 10px;
	align-items: center;
}

.event-price p {
	margin-top: 1px;
}

.event-header-content .icon {
	width: 17px;
}

.event-header-content .price-icon {
	height: 17px !important;
	width: auto !important;
}

.event-listing-faxu-link {
	position: relative;
	display: inline-block;
	color: #37B34A;
}

.event-listing-faxu-link::after {
	content: '';
	width: 17px;
	height: 17px;
	background: url('/wp-content/uploads/2025/03/wupl-arrow-sml.svg');
	background-size: contain;
	position: absolute;
	right: 0;
/* 	bottom: 0; */
	margin-right: -22px;
	margin-top: 6px;
}

.arlo-search-container input {
	display: flex;
	padding: 12px 22px;
	border-radius: 3px;
	border: 1px solid #D9D9D9;
	font-size: 16px;
	color: #050C0A;
}

.arlo-search-container input[type="submit"] {
	background-color: #37b34a;
	color: #fff;
	border-color: #37b34a;
}

.arlo-search-container input::placeholder {
	color: #050C0A;
}

.arlo-search {
	display: flex;
	flex-direction: row;
	gap: 30px;
	margin-bottom: 50px;
}


@media screen and (max-width: 1200px) {
	.event-search {
	  gap: 40px;
	}

	.event-search .arlo-cf {
	  width: calc(50% - 40px);
	  gap: 16px;
	}
}

@media screen and (max-width: 900px) {
	.event-search {
	  gap: 40px;
	}

	.event-search .arlo-cf {
	  width: 100%;
	  gap: 16px;
	}
}
/* Arlo GMB CSS ENDS */



/* Individual Course/Event STARTS */
.event-header {
	display: flex;
	gap: 60px;
	justify-content: space-between;
	margin-top: 100px;
	align-items: center;
	color: #050C0A;
}

.event-header > div {
	display: flex;
	width: calc(50% - 60px);
	flex-direction: column;
}

.event-header img {
	border-radius: 3px;
}

.return-to-courses {
	color: #37B34A;
	padding-left: 30px;
	position: relative;
	display: inline-block;
}

.return-to-courses::before {
	content: '';
	background: url('/wp-content/uploads/2025/03/wupl-arrow-sml.svg');
	width: 17px;
	height: 17px;
	background-size: contain;
	position: absolute;
	left: 0;
	top: 0;
	transform: rotate(180deg);
	margin-top: 5px;
}

.single-event, .quick-links, .course-overview-section, .course-overview-main, .d-spacing {
	padding-right: var(--content-padding);
    padding-left: var(--content-padding);
}

.d2flex {
	display: flex;
	gap: 60px;
	flex-direction: row;
	justify-content: space-between;
}

.d2flex > div {
	width: calc(50% - 60px);
}

.quick-links {
	display: flex;
	background-color: #050C0A;
	color: #fff;
	justify-content: center;
	margin-top: 120px;
	padding-top: 32px;
	padding-bottom: 32px;
}

.quick-links ul {
	display: flex;
	flex-direction: row;
	gap: 16px;
	width: fit-content;
	list-style: none;
}

.quick-links ul li {
	display: flex;
	padding: 6px 32px;
	justify-content: center;
	align-items: center;
	gap: 10px;
	border-radius: 1000px;
	border: 1px solid #fff;
}

.quick-links ul li:first-child {
	border: 0px;
	padding: 0px;
}

.quick-links ul li:last-child {
	border-color: #009933;
	background-color: #009933;
	color: #fff;
}

.course-overview-section {
	background-color: #008e34;
/* 	display: flex; */
/* 	flex-direction: row; */
	padding: 80px var(--content-padding);
	color: #fff;
}

.event-header-buttons .arlo-event-registration {
	text-align: left;
}

.event-header-buttons .arlo-event-registration a {
	display: flex;
	padding: 6px 32px;
	justify-content: center;
	align-items: center;
	gap: 10px;
	border-radius: 1000px;
	border: 1px solid #37B34A;
	background-color: #37B34A;
	color: #fff;
}

.course-overview-section .section-content {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}

.course-overview-section .section-content > div {
	text-align: center;
}

.course-overview-main {
	display: flex;
	gap: 60px;
	flex-direction: row;
	justify-content: space-between;
	padding-top: 60px;
	padding-bottom: 120px;
}

.course-overview-main > div {
	width: calc(50% - 60px);
}

.partners-section {
	text-align: center;
	padding-top: 80px;
	padding-bottom: 80px;
	margin-left: var(--content-padding);
	margin-right: var(--content-padding);
	border-top: 1px solid #d9d9d9;
	border-bottom: 1px solid #d9d9d9;
}

.partners-section > div {
	display: flex;
	gap: 30px;
	flex-direction: row;
	justify-content: center;
}

.partners-section > div img {
	height: 150px;
	width: auto;
}

.what-youll-learn-section {
	margin-top: 120px;
}

.testimonials-section {
	margin-top: 120px;
	margin-bottom: 120px;
}

.upcoming-courses-section {
	margin-bottom: 120px;
}

.main-course-content {
	display: flex;
	flex-direction: row;
	gap: 60px;
	flex-wrap: wrap;
	width: 100%;
}

.content-section.d2flex > div{
	width: calc(50% - 60px);
}

/* .main-course-content {
	min-width: calc(50% - 60px);
	flex: 1;
} */
/* Individual Course/Event ENDS */


/* Print Media STARTS */
@media print {
	.print-remove {
		display: none !important;
	}
}
/* Print Media ENDS */

.print-show {
	display: none !important;
}

/* Print Styles */
@media print {

	* {
		-webkit-print-color-adjust: exact !important;   /* Chrome, Safari 6 – 15.3, Edge */
		color-adjust: exact !important;                 /* Firefox 48 – 96 */
		print-color-adjust: exact !important;           /* Firefox 97+, Safari 15.4+ */
	}
	
	html {
		font-size: 50%;	
	}
	
	h1, h2 {
		font-size: var(--font-size-h2) !important;
	}
	
	.heading-xsml {
		font-size: var(--font-size-h4) !important;
	}
	
	section,
	.brxe-section,
	#course-modules {
		padding-top: 1cm !important;
	}
	
	footer,
	iframe,
	img,
	.brx-popup,
	.upcoming-course > *:last-child,
	.bg-logo, 
	.print-hide,
	#further-info-section .icon,
	.mobile-sessions-accordion .accordion-title-wrapper,
	.spacer,
	header .navigation .nav-content > *:not(.nav-logo-wrap) {
		display: none !important;
	}
	
	#brx-content section:first-child {
		padding-top: 0 !important;
		padding-bottom: 1cm !important;
		padding-right: calc(1cm + 32rem) !important;
	}

	[class*=grid-] {
		grid-template-columns: 1fr !important;
	}

	[class*=grid-] > * {
		padding: 0 !important;
	}
	
	section > .grid-2 {
		grid-gap: 1cm !important;
	}

	#course-modules ~ .brxe-text {
		columns: auto;
	}

	.upcoming-course {
		display: flex !important;
	}

	#facilitators .card-wrap {
		display: grid;
		grid-template-columns: repeat(3, 1fr) !important;
		margin: 0;
		grid-gap: 2rem;
	}

/* 	#course-info + section,
	#upcoming-course-section,
	#further-info-section,
	#course-modules-section {
		break-before: page;
		padding-top: 0 !important;
	}
	
	#facilitators {
		break-after: page;
	} */

	#course-info .course-info {
		padding: 1.4rem;
		text-align: center;
		align-items: center;
	}


	#course-info .heading-sml {
		font-size: var(--font-size-h4);
		font-weight: 500;
	}
	
	.gradient-bg:not(#course-info) {
		background: none !important;
		padding-top: 0 !important;
		padding-bottom: 0 !important;
		color: var(--color-dark) !important;
	}
	
	.accordion-content-wrapper {
		display: block !important;
	}

	.mobile-sessions-accordion .accordion-content-wrapper .sessions {
		width: 100%;
		margin-top: 2rem;
	}
	
	#testimonial-section {
		background: none !important;
		padding-bottom: 0 !important;
	}

	@page {
		margin: 1cm 0cm;
	}
	
	a::after {
		content: " (url: " attr(href) ") ";
		font-weight: normal;
	}
	
	.link-overlay {
		display: none;
	}
	
	#further-info-section h2 {
		margin: 0 !important;
	}
	
	header .navigation {
		padding: 0 !important;  
	}

	.nav-logo-wrap img {
		display: block !important;
		position: absolute;
		width: 30rem;
		top: 0;
		right: 1cm;
	}

	.nav-logo-wrap a::after {
		content: none;
	}
	
	.print-show {
		display: block !important;
	}

	.brxe-section:first-child .brxe-container > :first-child {
		padding-top: 0.5cm !important;
	}
}

@media screen and (min-width: 765px) {
	.hide-desktop {
		display: none !important;
	}
}